/**
 * REST API documentation
 * Developed By CSIRT team
 *
 * OpenAPI spec version: 1.0.0
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

import { TrainingDefinitionDTO } from '../training-definition/training-definition-dto';

/**
 * Training Instance.
 */
export interface TrainingInstanceDTO {
  end_time?: Date;
  id?: number;
  pool_id: number;
  start_time?: Date;
  title?: string;
  training_definition?: TrainingDefinitionDTO;
  access_token: string;
  last_edited_by?: string;
  local_environment?: boolean;
  sandbox_definition_id?: number;
  backward_mode?: boolean;
}
